import javax.swing.*;
import java.awt.image.*;
import java.awt.image.renderable.*;
import javax.media.jai.*;

class ImageScalerThread extends SwingWorker {

	private ImageViewer iv;
	private String scaleString;
	private ImageInternalFrame selectedFrame;
	private BufferedImage bufferedImage;
	private int zoom;
	private static Scale scale;

	public ImageScalerThread(ImageViewer parent, ImageInternalFrame iif,
	                          String scaleS, int _zoom) {

		super();
		iv = parent;
		selectedFrame = iif;
		scaleString = scaleS;
		zoom = _zoom;
		scale = new Scale(parent, false);

	}

	public Object construct() {

        	bufferedImage = scale.scale(scaleString, selectedFrame, zoom);
                return null;

        }

        // Runs on the event-dispatching thread.
        public void finished() {

        	if (bufferedImage != null)
        	   scale.showScaledImage(bufferedImage, selectedFrame);

        }

}
