import java.lang.reflect.*;
import java.awt.event.*;

class ReflectiveAction implements ActionListener {

	private String methodName;
	private Object target;

	public ReflectiveAction(Object target, String methodName) {

		this.target = target;
		this.methodName = methodName;

	}

	public void actionPerformed(ActionEvent e) {

		try {
		     Class[] argTypes = {};
		     Method method = target.getClass().getMethod(methodName,
		                                                  argTypes);
		     Object[] args = {};
		     method.invoke(target, args);
		}
		catch (Exception ex) {
		     ex.printStackTrace();
		}

	}

}
